# TODO: system libcsnappy, libminiz?
#
# Conditional build:
%bcond_without	tests	# unit tests

%define		pdir	Sereal
%define		pnam	Encoder
Summary:	Sereal::Encoder - Fast, compact, powerful binary serialization
Summary(pl.UTF-8):	Sereal::Encoder - szybka, zwarta, potężna serializacja binarna
Name:		perl-Sereal-Encoder
Version:	4.025
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-authors/id/Y/YV/YVES/Sereal-Encoder-%{version}.tar.gz
# Source0-md5:	feaedc77816634c6d6681c0b971eceb9
URL:		https://metacpan.org/release/Sereal-Encoder
BuildRequires:	perl-ExtUtils-MakeMaker >= 7.0
BuildRequires:	perl-ExtUtils-ParseXS >= 2.21
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRequires:	zstd-devel
%if %{with tests}
BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl-Sereal-Decoder >= 4.002
BuildRequires:	perl-Test-Deep
BuildRequires:	perl-Test-Differences
BuildRequires:	perl-Test-LongString
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-Test-Warn
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library implements an efficient, compact-output, and feature-rich
serializer using a binary protocol called Sereal. Its sister module
Sereal::Decoder implements a decoder for this format. The two are
released separately to allow for independent and safer upgrading. If
you care greatly about performance, consider reading the
Sereal::Performance documentation.

The Sereal protocol version emitted by this encoder implementation is
currently protocol version 3 by default.

The protocol specification and many other bits of documentation can be
found in the github repository at <https://github.com/Sereal/Sereal>.

%description -l pl.UTF-8
Ten moduł implementuje wydajny, mający zwarte wyjście i wiele
możliwości, serializer wykorzystujący binary protokół o nazwie Sereal.
Siostrzany moduł Sereal::Decoder implementuje dekoder dla tego
formatu. Moduły wydawane są osobno, aby umożliwić niezależne i
bezpieczniejsze aktualizacje. Informacje na temat wydajności można
znaleźć w dokumentacji Sereal::Performance.

Ta implementacja kodera domyślnie produkuje wyjście zgodne z
protokołem Sereal w wersji 3.

Specyfikację protokołu i inną dokumentację można znaleźć w
repozytorium github <https://github.com/Sereal/Sereal>.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} -j1 \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorarch}/Sereal
%{perl_vendorarch}/Sereal/Encoder.pm
%dir %{perl_vendorarch}/Sereal/Encoder
%{perl_vendorarch}/Sereal/Encoder/*.pm
%dir %{perl_vendorarch}/auto/Sereal
%dir %{perl_vendorarch}/auto/Sereal/Encoder
%attr(755,root,root) %{perl_vendorarch}/auto/Sereal/Encoder/Encoder.so
%{_mandir}/man3/Sereal::Encoder.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sereal-Encoder.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 33f11d5
- perl 5.38.0 rebuild

* Fri Feb 03 2023 Jakub Bogusz <qboosh@pld-linux.org> d19ccd0
- updated to 4.025

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 6f036de
- perl 5.36.0 rebuild

* Mon May 30 2022 Jakub Bogusz <qboosh@pld-linux.org> 11e221c
- updated to 4.023

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 6b1b1b1
- rebuild with perl 5.34.0

* Fri May 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 1011bcd
- updated to 4.018

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 3c92983
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> ef8896b
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 46a4d81
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> e940aba
- release 2

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> 67eaefd
- updated to 4.005

* Wed Jun 28 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 4893bc9
- up to 3.015

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7db1b84
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 206a48f
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 5d02703
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 1d35110
- updated to 3.014
- pl

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> cdb8a9a
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6e285ac
- x32 rebuild
- release 2 (by relup.sh)

* Wed Sep 17 2014 Elan Ruusamäe <glen@delfi.ee> 2215020
- adapter

* Wed Sep 17 2014 Jan Rękorajski <baggins@pld-linux.org> 2333146
- new

